Page MenuHomePhabricator

Update MediaWiki's module of moment.js to 2.25.1
Closed, ResolvedPublic

Description

The new version of moment.js 2.25.1 contains a new Devanagari script Konkani (gom-deva) locale, which is the default locale of the Konkani Wikipedia (gomwiki) and the soon to be launched Konkani Wiktionary. 2.25.1 also contains important updates to the Latin script Konkani (gom-latn) in addition to various other improvements. Sadly, the gomwiki community has had to wait for over a year for their locale to be incorporated into moment.js . Please update moment.js so that the gomwiki community can see their new locale in extensions such as Flow, Mobile Frontend and Page Previews.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2020, 10:22 AM
Restricted Application added a project: Performance-Team. · View Herald TranscriptMay 3 2020, 2:19 PM
Krinkle renamed this task from Update Mediawiki to moment.js 2.25.1 to Update MediaWiki's module of moment.js to 2.25.1.May 3 2020, 11:46 PM
Krinkle added a subscriber: Krinkle.

The modules considered part of ResourceLoader are listed in the project description. For everything else, issues with modules fall under the respective core or extension component instead, where ResourceLoader merely acts as delivery system.

Tagging Growth-Team as I believe they are or were using this and know its inner workings / updated it before.

For reference, this was the previous instance of the update: T191339

Change 594266 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] resources: Upgrade moment from 2.24.0 to 2.25.2 and hook in gom-dev

https://gerrit.wikimedia.org/r/594266

Change 594266 merged by jenkins-bot:
[mediawiki/core@master] resources: Upgrade moment from 2.24.0 to 2.25.2; hook in gom-deva & zh-mo

https://gerrit.wikimedia.org/r/594266

Jdforrester-WMF closed this task as Resolved.May 13 2020, 3:35 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This will ship in the next production deployment from 2020-05-26.

Thanks for the quick action! :)